<?php

namespace App\Domain\Imports\Actions;

use App\Domain\Imports\Writers\ProductImportTemplate;
use App\Domain\Support\Actions\UploadFileAction;
use App\Domain\Support\Models\TempFile;
use Maatwebsite\Excel\Facades\Excel;

class GenerateImportTemplateAction
{
    public function __construct(
        protected readonly UploadFileAction $uploadFileAction,
    ) {
    }

    public function execute(?int $categoryId = null): TempFile
    {
        $fileName = 'template.xlsx';

        return $this->uploadFileAction->execute(
            Excel::download(new ProductImportTemplate($categoryId), $fileName),
            'import/products',
            $fileName
        );
    }
}
