<?php

namespace App\Domain\Imports\Writers;

use App\Domain\Imports\Writers\Sheets\BrandsSheet;
use App\Domain\Imports\Writers\Sheets\ProductsSheet;
use Maatwebsite\Excel\Concerns\Exportable;
use Maatwebsite\Excel\Concerns\WithMultipleSheets;

class ProductImportTemplate implements WithMultipleSheets
{
    use Exportable;

    protected ?int $categoryId;

    public function __construct(int $categoryId)
    {
        $this->categoryId = $categoryId;
    }

    public function sheets(): array
    {
        return [
            new ProductsSheet($this->categoryId),
            new BrandsSheet(),
        ];
    }
}
