<?php

namespace App\Domain\Imports\Writers\Sheets;

use App\Domain\Classifiers\Models\Brand;
use Illuminate\Database\Eloquent\Collection;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\RegistersEventListeners;
use Maatwebsite\Excel\Concerns\WithEvents;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\WithTitle;
use Maatwebsite\Excel\Events\AfterSheet;

class BrandsSheet implements FromCollection, WithEvents, WithHeadings, WithTitle
{
    use RegistersEventListeners;

    private array $headings;

    public function __construct(
    ) {
        $this->headings = [
            'brand_id',
            'name',
        ];
    }

    public function headings(): array
    {
        return array_keys($this->headings);
    }

    public static function afterSheet(AfterSheet $event): void
    {
        // Lock from editing
        $protection = $event->getSheet()->getProtection();
        $protection->setSheet(true);
    }

    public function collection(): Collection
    {
        return Brand::all(['id', 'name']);
    }

    public function title(): string
    {
        return __('import.brands');
    }
}
