<?php

namespace App\Http\ApiV1\Modules\Imports\Requests;

use App\Domain\Categories\Models\Category;
use App\Http\ApiV1\Support\Requests\BaseFormRequest;
use Illuminate\Validation\Rule;

class GenerateImportTemplateRequest extends BaseFormRequest
{
    public function rules(): array
    {
        return [
            'category_id' => ['required', 'integer', Rule::exists(Category::class, 'id')],
        ];
    }

    public function getCategoryId(): int
    {
        return $this->validated('category_id');
    }
}
